Clear values from a target instance

  • Release version: Australia
  • Updated March 12, 2026
  • 1 minute to read
  • You can pass an empty value through a SOAP parameter to clear the respective value in the target instance.

    You can also pass an empty (null) value through the &allow_empty_value=true SOAP query parameter to clear the respective value in the target instance.

    For example, https://<instance name>.service-now.com/incident.do?SOAP&allow_empty_value=true lets you pass an empty value to the incident record in an instance.

    You can then enter lines like the following in the SOAP request:
    <assigned_to>value</assigned_to>
    <assignment_group>value</assignment_group>
    <category></category>
    In the above example,
    • <assigned_to>value</assigned_to> changes the value in the Assigned to field to the value specified in the SOAP request.
    • <assignment_group>value</assignment_group> changes the value in the Assignment group field to the value specified in the SOAP request.
    • <category></category> clears the value in the Category field.